#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.7
visibility:           public
id:                   foldl-1.4.7-Ijd2YVDS5qs93c14xIxO4d
key:                  foldl-1.4.7-Ijd2YVDS5qs93c14xIxO4d
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  75d4aad37f67b089ad902e98fe207b62
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:       Control.Foldl.Optics Control.Foldl.Internal
import-dirs:          /usr/lib/ghc-8.10.1/site-local/foldl-1.4.7
library-dirs:         /usr/lib/ghc-8.10.1/site-local/foldl-1.4.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/foldl-1.4.7
hs-libraries:         HSfoldl-1.4.7-Ijd2YVDS5qs93c14xIxO4d
depends:
    base-4.14.0.0 bytestring-0.10.10.0
    comonad-5.0.6-J17mz05M44L7diDBaFB403 containers-0.6.2.1
    contravariant-1.5.2-3rEsfj3YINxBWDceLgF1Rb
    hashable-1.3.0.0-KxLg31LAX1D630cavk7ERb
    mwc-random-0.14.0.0-27dRu0TGmfX1sIfkh8WGrx
    primitive-0.7.0.1-2k3g9qX0zz16vEv34R307m
    profunctors-5.5.2-4gw2ww1ZNtuKcIq2kTUE52
    semigroupoids-5.3.4-5cl83UVbQhOLU0Yem527HL text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.11.0-Gy9Rkzl4w678AYU9aLwMbs
    vector-0.12.1.2-2820kU4E8Rq2FpOG9Xf2aE
    vector-builder-0.3.8-41bRr8WbM96CxmteCVlItp

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

